#include <stdio.h>

#define LED 13

String inputString = "";         // a string to hold incoming data
boolean stringComplete = false;  // whether the string is complete


// Use printf in Arudino
int serial_putc( char c, struct __file * ){
  Serial.write(c);
  return c;
}

void printf_begin(void){
  fdevopen(&serial_putc, 0);
}

void setup() {
  // initialize serial:
  Serial.begin(9600);
  // reserve 200 bytes for the inputString:
  inputString.reserve(200);
  // LED
  pinMode(LED, OUTPUT);
  printf_begin();
}
 
void loop() {
  // print the string when a newline arrives:
  int num = 0;
  if (stringComplete) {
    sscanf(inputString.c_str(), "LED%d",&num);
    if (num == 1){
      printf("The LED is On.\n");
      digitalWrite(LED, HIGH);
    }
    else if (num == 0){
      printf("The LED is Off.\n");
      digitalWrite(LED, LOW);
    }
    // clear the string:
    inputString = "";
    stringComplete = false;
  }
}

void serialEvent() {
  while (Serial.available()) {
    // get the new byte:
    char inChar = (char)Serial.read();
    // add it to the inputString:
    inputString += inChar;
    // if the incoming character is a newline, set a flag
    // so the main loop can do something about it:
    if (inChar == '\n') {
      stringComplete = true;
    }
  }
}
